Bug 91156 - Deploy task has little, if any, relationship to publishing
Deploy task has little, if any, relationship to publishing
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks: rc0blockers
  Show dependency treegraph
 
Reported: 2003-05-19 11:01 EDT by Jon Orris
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 16:16:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-05-19 11:01:58 EDT
Description of problem:
@31265

The deployment task seems disconnected from publishing. Logging in as a
publisher & following the deploy link takes one to the workflow page. You can
finish the deploy task, but this doesn't publish the article. You have to
separately go to the Publishing tab to publish.

Conversely, it is possible to publish the content without finishing the deploy task.
Comment 1 Jon Orris 2003-06-02 15:25:36 EDT
Following the deploy link now takes one to the Publishing tab, but publishing
the article doesn't finish the deploy task.

In fact, one can publish an article when it is in the authoring phase
Comment 2 Justin Ross 2003-06-26 10:51:47 EDT
I fixed the part where the deploy task was not getting finished on publish in
perforce 32900.  The other part, requiring that the workflow be in a certain
state before allowing publishing, I will wait to fix until a little later, since
the bug is a feature while we are testing publishing.
Comment 3 Justin Ross 2003-07-09 14:57:40 EDT
With perforce 33402, I'm closing this bug.  The ticket alludes a navigation
issue that remains (I think, need to verify that it did that before), but it
does not block rc0.

Note You need to log in before you can comment on or make changes to this bug.